WAITPID(1)

BEZEICHNUNG
waitpid - Dienstprogramm zum Warten auf beliebige Prozesse

ÜBERSICHT

waitpid [-v] [--timeout|-t Sekunden] PID …

BESCHREIBUNG

waitpid ist ein einfacher Befehl zum Warten auf beliebige (Nicht-Kind-)Prozesse.

Es wird beendet, sobald alle Prozesse, deren Prozesskennungen (PIDs) als Argumente übergeben wurden, beendet sind.

OPTIONEN

-v, --verbose
    aktiviert den ausführlicheren Modus.

-t, --timeout Sekunden
    gibt die maximale Wartezeit an.

-e, --exited
    meldet keinen Fehler bei bereits beendeten PIDs.

-c, --count Anzahl
    gibt die Anzahl der Prozessbeendigungen an, auf die gewartet werden soll.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

EXIT-STATUS

waitpid gibt die folgenden Rückgabewerte aus:

0
    Erfolg

1
    Nicht näher bezeichneter Fehler.

2
    Das System stellt die benötigte Funktionaliät nicht bereit.

3
    Zeit abgelaufen.

AUTOREN

SIEHE AUCH

waitpid(2) wait(1P)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl waitpid ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.